Select
  rpad(' ',12,' ')                       || ';' || -- 2. Bizonylatszm
  to_char(sysdate,'yyyy.mm.dd')          || ';' || -- 3. Felads dtuma   
  rpad(a.floppyfokonyv,10,'_')           || ';' || -- 4. Fknyvi szmlaszm                   
  rpad(a.ellenszamla,10,'_')             || ';' || -- 5. Fknyvi ellenszmla
  rpad(a.harmas,10,'_')                  || ';' || -- 6. Msodlagos szmlaszm
  rpad(' ',10,'_')                       || ';' || -- 7. Msodlagos ellenszmla
  rpad(a.azonosito,7,' ')                || ';' || -- 8. Elszmolsi egysg
  rpad(' ',9,' ')                        || ';' || -- 9. Analitikus kd
  rpad(' ',9,' ')                        || ';' || --10. Pnzforrskd
  rpad(' ',9,' ')                        || ';' || --11. Partnerkd
  rpad(' ',12,' ')                       || ';' || --12. gyletkd
  rpad(' ',3,' ')                        || ';' || --13. Tranzakcikd
  'FT '                                  || ';' || --14. Devizakd
  'DB '                                  || ';' || --15. Mennyisgi egysg
  lpad('0,00',8,' ')                     || ';' || --16. Tartozik deviza
  lpad(tartozik,12,' ')                    || ';' || --17. Tartozik Forint
  lpad('0,00',8,' ')                     || ';' || --18. Tartozik mennyisg
  lpad('0,00',8,' ')                     || ';' || --19. Kvetel deviza
  lpad(kovetel,12,' ')                    || ';' || --20. Kvetel Forint
  lpad('0,00',8,' ')                     || ';' || --21. Kvetel mennyisg 
  rpad(' ',12,' ')                       || ';' || --22  res
  rpad(' ',4,' ')                        || ';' || --23. res 
  rpad(' ',12,' ')                       || ';' || --24. Knyvelsi napl 
  rpad(' ',4,' ')                        || ';' || --25. Knyvelsi ttelszm 
  'FOK01'                                || ';' || --26. Knyvelsi ttelszm 
  rpad(' ',40,' ')                       || ';' || --27. Megjegyzs
  '-1'                                   || ';' || --28. Fix rtk 
  to_char(sysdate,'yyyy.mm.dd')          || ';' || --32. Knyvelsi esemny dtuma
  a.idoszak                              || ';' || --33. Knyvelsi napl   
  rpad(' ',12,' ')                       || ';' || --34. Knyvelsi bizonylatszm 
  rpad(' ',8,' ')                        || ';' || --35. res  
  rpad(' ',16,' ')                       || ';' || --36. Szerzdsszm   
  lpad('0.00',8,' ')                     || ';' || --37. rfolyam
  rpad(' ',12,' ')                       || ';' || --38. Keretgazda
  rpad(' ',16,' ')                                 --39. Kltsggyjt
   
  from
(  
select
  (SELECT nvl(b.ELLENLABSZAMLASZAM,'39') from a_fokonyv b where b.GAZD = a.GAZD and a.fokonyv = b.szamlaszam) harmas,
  a.idoszak idoszak,
  sum(A.HOVEGI) hovegi,
  a.floppyfokonyv,
  a.FOKONYV,
  a.ellenszamla,
  v.SZEE_AZONOSITO azonosito,
  v.BERK_SZAKFKOD szakfel,
  decode(a.CSOPORT,'01',sum(a.HOVEGI),'03',sum(a.HOVEGI),0) kovetel,
  decode(a.CSOPORT,'02',sum(a.HOVEGI),'04',sum(a.HOVEGI),0) tartozik
From
  A_JOGCIM_OSSZ a, 
  v_berkif_a v 
Where
  v.BERK_BERKIFAZON=a.BERKIFAZON AND 
  a.ELOADO= :eloado AND 
  a.FOKONYV<>'000001' 
  AND (  ( A.IDOSZAK = :idoszak ) ) 
  AND (  (A.GAZD = :gazd)  ) 
  and a.floppyfokonyv not like '3%'
 -- and v.BERK_SZAKFKOD = '85196' 
   
Group by
    a.GAZD,
    a.idoszak,
    a.FOKONYV, 
    a.floppyfokonyv, 
    a.ellenszamla,
    v.SZEE_AZONOSITO,
    v.BERK_SZAKFKOD,
    a.csoport
   
Having
  SUM(a.hovegi)<>0 
Order by
  v.SZEE_AZONOSITO,
  a.FOKONYV
) a