SELECT 
  TO_CHAR(SYSDATE,'yyyy.mm.dd') bizkelt,
  RPAD(' ',40) muv_nev,
  OSSZEG ertek,
  '39222' fkszamla,
  RPAD(FOKONYV,8,'0') ellenszla,
  'K' jelleg,
  'T' el_jelleg,
  SZERV szervezet,
  '         ' masodellen,
  'B ' gkod,
  '        ' masodszla,
  KOLTSEGHELY
FROM 
  (SELECT f.KOLTSEGHELY koltseghely, 
    NVL(f.SZERVEZET,'') SZERV, 
    f.FOKONYV FOKONYV,
    SUM((NVL(f.EAKONYV,0)+NVL(f.HOKOZI,0)+NVL(f.HOVEGI,0))) OSSZEG
   FROM A_JOGCIM_OSSZ f 
   WHERE (f.FOKONYV LIKE '51%' OR f.FOKONYV LIKE '52%' OR f.FOKONYV= '5312' OR f.FOKONYV ='552221' OR f.FOKONYV = '561211' OR f.FOKONYV = '393211' OR f.FOKONYV ='572233' OR f.FOKONYV ='572235')
    AND f.ELOADO=:ELOADO 
GROUP BY f.KOLTSEGHELY,f.SZERVEZET,f.FOKONYV ) fok
ORDER BY KOLTSEGHELY,szervezet,ellenszla