Select
  k.IDOSZAK,
  datum.getGazdnev(k.GAZD) gazdnev,
  k.kulcskat,
  ' '                 temaszam,
  datum.getKodMegnev( k.kulcskat, 'm34') megnev,
  SUM(k.letszam)        letszam,
  SUM(k.alapill)        alapill,
  SUM(k.illkieg)        illkieg,
  SUM(k.nyelv)          nyelv,
  SUM(k.KOT_POTL)       kot_Potl,
  SUM(k.FELT_POTL)      felt_Potl,
  SUM(k.tizenharom)     tizenharom,
  SUM(k.jutalom)        jutalom,
  SUM(k.Mun_kieg)       Mun_kieg,
  SUM(k.reszmunk)       reszmunk
  ,k.regio regio
  ,(SELECT e.IGazgatosag || ': ' || e.nev  FROM A_ENG_BER e where e.IGazgatosag= k.regio) rmegnev
 ,'' kulcsszam
From
  m34 k,
  v_berkif_a v
Where
  instr( '1',k.GAZD) >0 and 
  v.BERK_BERKIFAZON = k.BERKIFAZON 
 AND ( (k.idoszak BETWEEN '200812' AND '200911') ) 
Group by
  k.GAZD, k.IDOSZAK , k.regio, k.kulcskat
Order by
  k.GAZD, k.IDOSZAK , k.regio, k.kulcskat
