DROP TRIGGER KLR.A_JOGCIM_OSSZ_CSOPORT;

CREATE OR REPLACE TRIGGER KLR.A_JOGCIM_OSSZ_CSOPORT
BEFORE INSERT ON KLR.A_JOGCIM_OSSZ FOR EACH ROW
DECLARE
  hiba EXCEPTION;
  v_felad varchar2(1) := 'I';
  v_ellen varchar2(20);
BEGIN

  IF :NEW.FOKONYV IS NULL THEN
    IF INSERTING THEN
	 :NEW.jcsop   := A_Getjogcim_Csoport( :NEW.JOGCIM, :NEW.jogcim );
     :NEW.csoport := A_Getjogcim_Csoport( :NEW.JOGCIM, :NEW.jogcim );
    END IF;
  ELSE
    IF INSERTING THEN
   	  :NEW.jcsop := A_Getjogcim_Csoport( :NEW.JOGCIM, :NEW.jogcim );
	END IF;
    IF :NEW.csoport <> '99' THEN
	  IF :NEW.jogcim IN ('00001') THEN
        :NEW.csoport := '04'; 
      ELSE 
        if :NEW.JOGCIM like '4%' then
	     select felad into v_felad from a_fokonyvceg where :NEW.JOGCIM = jogcim and gazd = :NEW.gazd;
        end if;
        if v_felad = 'N' then 
         :NEW.csoport := '05';
        else 
         begin
           select csoport, ELLENLABSZAMLASZAM into :new.csoport, v_ellen from a_fokonyv where :NEW.FOKONYV = szamlaszam and gazd = :NEW.gazd;
         EXCEPTION WHEN NO_DATA_FOUND THEN
           if    :new.fokonyv like '5%' then :new.csoport := '01'; 
           elsif :new.fokonyv like '3%' then :new.csoport := '02'; 
           end if; 
         end;
        end if; 
      end if;  
	END IF;

  END IF;

EXCEPTION
  WHEN hiba THEN RAISE_APPLICATION_ERROR(-20500,'Tl szles a naplzni kvnt tbla');
  WHEN OTHERS THEN NULL;
END;
/


