Select

  rpad(' ',12,' ')                                                              , -- 2. Bizonylatszm
  a.feladdatum                                                        FeladDatum, -- 3. Felads dtuma 
  rpad(a.fokonyv,10,'_')                                              Fokonyv   , -- 4. Fknyvi szmlaszm    (f_fszszs) 
  rpad(a.ellenszamla,10,' ')                                          Ellenszam , -- 5. Fknyvi ellenszmla   ( fix szmla 3919 ) 
  rpad(a.vfokonyv,10,'_')                                             Masodlagos, -- 6. Msodlagos szmlaszm  (f_mszsz)  (6-os, 7-es) 
  a.masodlagosellen                                                   Ellenszla , -- 7. Msodlagos ellenszmla (599_______ )
  a.azonosito                                                         Elszegys  , -- 8. Elszmolsi egysg     (szervezeti egyseg) 
  a.szakfel                                                           Szakfel   , -- 9. Analitikus kd         ( szakfeladat )  
  rpad(a.penzforras,14,' ')                                           Penzforras, --10. Pnzforrskd 
  rpad(' ',9,' ')                                                     Partnerkod, --11. Partnerkd
  rpad(ugyletkod,12,' ')                                              ugyletkod , --12. gyletkd 
  rpad(Forras_Tranz(a.fokonyv),3,' ')                                 KTK       , --13. Tranzakcikd 
  'HUF '                                                              Deviza    , --14. Devizakd
  ''                                                                  MennyEgys , --15. Mennyisgi egysg
  lpad('0',8,' ')                                                     DevizaT   , --16. Tartozik deviza
  lpad(tartozik,12,' ')                                               Tartozik  , --17. Tartozik Forint 
  lpad('0',8,' ')                                                     MennyisegT, --18. Tartozik mennyisg 
  lpad('0',8,' ')                                                     DevizaK   , --19. Kvetel deviza  
  lpad(kovetel,12,' ')                                                Kovetel   , --20. Kvetel Forint 
  lpad('0',8,' ')                                                     MennyisegK, --21. Kvetel mennyisg 
  rpad(' ',12,' ')                                                              , --22  Szmlahivatkozs res 
  rpad(' ',4,' ')                                                               , --23. Fizetsi hatrid res 
  rpad(' ',12,' ')                                                              , --24. Knyvelsi napl 
  rpad(rownum,5,' ')                                                            , --25. Knyvelsi ttelszm 
  'FOK01'                                                                       , --26. Knyvelsi ttelszm 
  rpad(a.megnev,40,' ')                                               Megjegyzes, --27. Megjegyzs 
  '-1'                                                                          , --28. Fix rtk 
  rpad(' ',4,' ')                                                               , --29. Pontozs dtuma 
  rpad(' ',4,' ')                                                               , --30. P-i kontrttel tpusa
  rpad(' ',4,' ')                                                               , --31. os 
  to_char(sysdate,'yyyy.mm.dd')                                                 , --32. Knyvelsi esemny dtuma
  a.idoszak                                                           Idoszak   , --33. Knyvelsi idszak   
  rpad(' ',12,' ')                                                              , --34. Knyvelsi bizonylatszm 
  rpad(' ',8,' ')                                                               , --35. Elirnyzati kd res  
  a.bonyola                                                           Bonysz    , --36. Szerzdsszm
  lpad('0',8,' ')                                                               , --37. rfolyam 
  rpad(' ',12,' ')                                                              , --38. Keretgazda 
  rpad(' ',16,' ')                                                                --39. Kltsggyjt 
   
  from
(  
select
  a.idoszak                                                                             idoszak,
  a.gazd                                                                                gazd,
  to_char(add_months(LAST_DAY(DATUM.CTOD(a.idoszak||'01')),1),'yyyy.mm.dd')             feladdatum,
  Get_converter('722722', 'ELSZEGYS'   ,                 a.azonosito, null )         azonosito,
  Get_converter('722722', 'SZAKFEL'    ,                 a.szakfel  , null ) ||
  Get_converter('722722', 'SZAKFELKIEG', decode(a.szakfel,null,'',1), null )         szakfel,
  Get_converter('722722', 'MASODLAGOS' ,                 a.szakfel  , a.vfokonyv )   vFokonyv,      --msodlagos
  Get_converter('722722', 'ELLENSZAMLA',                 1          , null )         ellenszamla,
  Get_converter('722722', 'PENZFORRAS',                  null       , null )         penzforras,
  '100ALTALANOS'                                                                        ugyletkod,
  a.megnev                                                                              megnev,   
  a.fokonyv                                                                             fokonyv,
  a.csoport                                                                             csoport,
  decode(a.csoport,'01',sum(a.HOVEGI),'03',sum(a.HOVEGI),0)                             tartozik,
  decode(a.csoport,'02',sum(a.HOVEGI),'04',sum(a.HOVEGI),0)                             kovetel,
--  a.temaszam                                                                            temaszam,
  (select bonyola     from f_szlatuk where szamlaszam = rpad(a.fokonyv,10,'_') and gazd = 70 )   bonyola,
  (select ELLENSZAMLA from a_fokonyv where SZAMLASZAM = a.fokonyv and gazd = 70 )   masodlagosellen
  
from
(

-- AMI CSAK SSZESENBE KNYVELDIK 

select
  v.BERG_TORZSSZAM  torzsszam,
  null              BERKIFAZON,
  null              azonosito,
  null              szakfel,
  null              vfokonyv,
  a.IDOSZAK         idoszak,
  a.GAZD            gazd,
  a.ELOADO          eloado,
  null              azon,
  a.FLOPPYFOKONYV   fokonyv,
  sum(a.HOVEGI)     hovegi,
  a.CSOPORT         CSOPORT,
  a.megnev          megnev,
  ' '               ugyletkod,
  null              temaszam
from
  a_jogcim_ossz a
  ,v_berkif_a v
Where
  v.BERK_BERKIFAZON(+) = a.BERKIFAZON AND 
  (a.csoport in ('02','04') or a.floppyfokonyv like '3%' )  and
  a.ELOADO= :eloado AND 
  a.FOKONYV<>'000001' 
  AND (  ( A.IDOSZAK = :idoszak ) ) 
    
group by v.BERG_TORZSSZAM, idoszak,gazd,eloado, floppyfokonyv, megnev, a.csoport

union all

-- AMI TTELESEN KNYVELDIK 

select
  v.BERG_TORZSSZAM   torzsszam,
  a.BERKIFAZON,
--  v.SZEE_AZONOSITO   azonosito,
  '722722310'        azonosito,
  v.BERK_SZAKFKOD    szakfel,
  v.BERK_FOKONYV     vfokonyv,
  a.IDOSZAK,
  a.GAZD,
  a.ELOADO,
  a.azon,
  a.FLOPPYFOKONYV    fokonyv,
  a.HOVEGI,
  a.CSOPORT,
  a.megnev,
  '  ' ugyletkod,
  v.BERK_TEMAAZON    temaszam 
from
  a_jogcim_ossz a
  ,v_berkif_a v 
Where
  v.BERK_BERKIFAZON(+) = a.BERKIFAZON AND 
  (a.csoport in ('01','03') and a.floppyfokonyv not like '3%') and
  a.ELOADO= :eloado AND 
  a.FOKONYV<>'000001' 
  AND (  ( A.IDOSZAK = :idoszak ) ) 
  AND (  (:gazd = :gazd)  ) 
  
) a,
v_berkif_a v

where
  v.BERK_BERKIFAZON(+) = a.BERKIFAZON AND 
  a.fokonyv not like '0%'    and
  a.fokonyv not like '9%'
   
Group by
    a.torzsszam,
    a.GAZD,
    a.idoszak,
    a.fokonyv,
    a.megnev,
 --   a.temaszam,
    Get_converter('722722' ,'ELSZEGYS'   ,                 a.azonosito, null),
    Get_converter('722722' ,'SZAKFEL'    ,                 a.szakfel  , null ) ||
    Get_converter('722722' ,'SZAKFELKIEG', decode(a.szakfel,null,'',1), null ),
    Get_converter('722722', 'MASODLAGOS' ,                 a.szakfel  , a.vfokonyv ),
    Get_converter('722722' ,'ELLENSZAMLA',                 1          , null ),
    Get_converter('722722' ,'PENZFORRAS',                  null       , null ),
 --   a.ugyletkod,
    a.csoport
       
Having
  SUM(a.hovegi)<>0 
Order by
  a.fokonyv
) a 

 

