Select 
  rpad(' ',12,' ')                       , -- 2. Bizonylatszm
  to_char(sysdate,'yyyy.mm.dd')          , -- 3. Felads dtuma   
  rpad(a.fokonyv,10,'_')                 , -- 4. Fknyvi szmlaszm  (f_fszszs)
  rpad('3919',10,' ')                    , -- 5. Fknyvi ellenszmla
  decode(substr(a.fokonyv,1,1),'5',rpad(a.vfokonyv,10,'_'),' ')                   masodlagos ,-- 6. Msodlagos szmlaszm  (f_mszsz)  
  decode(substr(a.fokonyv,1,1),'3',' ','599_______')                                         ,-- 7. Msodlagos ellenszmla
  rpad(nvl((select f_eek from vpopeek where a.azonosito = f_keek),'105600'),7,' ') elszegys  ,-- 8. Elszmolsi egysg
  rpad(decode(substr(a.fokonyv,1,1),'3',' ',a.szakfel||'10'),9,' ')                 szakfel  ,-- 9. Analitikus kd
  rpad(' ',9,' ')                        , --10. Pnzforrskd 
  rpad(' ',9,' ')                        , --11. Partnerkd
  rpad(' ',12,' ')                       , --12. gyletkd
  rpad(Forras_Tranz(a.fokonyv),3,' ')    , --13. Tranzakcikd
  'HUF '                                 , --14. Devizakd
  ''                                     , --15. Mennyisgi egysg
  lpad('0',8,' ')                        , --16. Tartozik deviza
  lpad(tartozik,12,' ')                  , --17. Tartozik Forint 
  lpad('0',8,' ')                        , --18. Tartozik mennyisg
  lpad('0',8,' ')                        , --19. Kvetel deviza
  lpad(kovetel,12,' ')                   , --20. Kvetel Forint
  lpad('0',8,' ')                        , --21. Kvetel mennyisg 
  rpad(' ',12,' ')                       , --22  Szmlahivatkozs res
  rpad(' ',4,' ')                        , --23. Fizetsi hatrid res 
  rpad(' ',12,' ')                       , --24. Knyvelsi napl 
  rpad(rownum,4,' ')                     , --25. Knyvelsi ttelszm 
  'FOK01'                                , --26. Knyvelsi ttelszm 
  rpad(a.megnev,40,' ')                  , --27. Megjegyzs
  '-1'                                   , --28. Fix rtk 
  rpad(' ',4,' ')                        , --29. Pontozs dtuma 
  rpad(' ',4,' ')                        , --30. P-i kontrttel tpusa
  rpad(' ',4,' ')                        , --31. os
  to_char(sysdate,'yyyy.mm.dd')          , --32. Knyvelsi esemny dtuma
  a.idoszak                              , --33. Knyvelsi idszak   
  rpad(' ',12,' ')                       , --34. Knyvelsi bizonylatszm 
  rpad(' ',8,' ')                        , --35. Elirnyzati kd res  
  rpad(decode(substr(a.fokonyv,1,1),'5','07'||substr(a.fokonyv,1,2),' '),9,' '), --36. Szerzdsszm   
  lpad('0',8,' ')                        , --37. rfolyam
  rpad(' ',12,' ')                       , --38. Keretgazda
  rpad(' ',16,' ')                         --39. Kltsggyjt
   
  from
(  
select 
  a.idoszak            idoszak,
  sum(A.HOVEGI)        hovegi,
  v.SZEE_AZONOSITO     azonosito,
  v.BERK_SZAKFKOD      szakfel,
--  nvl((select f_mszsz from vpopssz where v.berk_fokonyv = f_fszsz),'68107') vFokonyv,  
  v.berk_fokonyv vFokonyv,  
  a.megnev, 
  a.floppyfokonyv fokonyv,
  a.csoport,
  decode(a.csoport,'01',sum(a.HOVEGI),'03',sum(a.HOVEGI),0) tartozik,
  decode(a.csoport,'02',sum(a.HOVEGI),'04',sum(a.HOVEGI),0) kovetel
 
from
(
select
  null  BERKIFAZON,
  a.IDOSZAK,
  a.GAZD,
  a.ELOADO,
  null   azon,
  a.FLOPPYFOKONYV,
  null  FOKONYV,
  sum(a.HOVEGI) hovegi,
  '02' CSOPORT,
  a.megnev
from
  osszesito a 
Where
  a.csoport in ('02','04') and
  a.ELOADO= :eloado AND 
  a.FOKONYV<>'000001' 
  AND (  ( A.IDOSZAK = :idoszak ) ) 
  AND (  (A.GAZD = :gazd)  ) 
    
group by idoszak,gazd,eloado, floppyfokonyv, megnev

union all

select
  a.BERKIFAZON,
  a.IDOSZAK,
  a.GAZD,
  a.ELOADO,
  a.azon,
  a.FLOPPYFOKONYV,
  a.FOKONYV,
  a.HOVEGI,
  a.CSOPORT,
  a.megnev
from
  A_JOGCIM_OSSZ a 
Where
  a.csoport in ('01','03') and
  a.ELOADO= :eloado AND 
  a.FOKONYV<>'000001' 
  AND (  ( A.IDOSZAK = :idoszak ) ) 
  AND (  (A.GAZD = :gazd)  ) 
  
) a,
v_berkif_a v

where
  v.BERK_BERKIFAZON(+) = a.BERKIFAZON AND 
  a.floppyfokonyv not like '0%'    and
  a.floppyfokonyv not like '9%'
   
Group by
    a.GAZD,
    a.idoszak,
    v.berk_fokonyv, 
    a.floppyfokonyv, 
    a.fokonyv,
    a.megnev,
    v.SZEE_AZONOSITO,
    v.BERK_SZAKFKOD,
    a.csoport
    
Having
  SUM(a.hovegi)<>0 
Order by
  a.floppyfokonyv
) a    