

select
--floppyfokonyv,
sorszam,
megnev,
sum(a200912) december, 
sum(a201001) januar,
sum(a201002) februar,
sum(a201003) marcius,
sum(Mindosszesen) osszesen
from
(
Select
 getkisur(a.floppyfokonyv,'s',a.megnev) sorszam,
 getkisur(a.floppyfokonyv,'m',a.floppyfokonyv || ' ' || a.megnev) megnev,
 a.csoport,
 getkisur(a.floppyfokonyv,'f',a.megnev) fokonyv,
 getkisur(a.floppyfokonyv,'f',a.megnev) floppyfokonyv,
 DECODE(a.IDOSZAK,'200912',SUM(a.HOVEGI),0)  a200912,
 DECODE(a.IDOSZAK,'201001',SUM(a.HOVEGI),0)  a201001,
 DECODE(a.IDOSZAK,'201002',SUM(a.HOVEGI),0)  a201002,
 DECODE(a.IDOSZAK,'201003',SUM(a.HOVEGI),0)  a201003,
 SUM(a.hovegi) Mindosszesen

From
  OSSZESITO a,
  v_berkif_a v 
  ,fokonyv kh       
Where
  v.BERK_BERKIFAZON = a.BERKIFAZON    AND 
  a.FOKONYV        <> '000001'        AND 
  kh.berg_gazon     =  a.gazd         AND 
  kh.fokonyv        =  v.BERK_FOKONYV     
 and kh.berg_gazon     = 1
 AND (   A.IDOSZAK BETWEEN '200912' and '201003' )   
 AND (  ( A.GAZD = '1' ) ) and substr(floppyfokonyv,1,1)<>'3'
 and a.FLOPPYFOKONYV not in ('531242','531244','5362','563291','57221')
-- and floppyfokonyv like '51424%'
Group by
  a.gazd, 
  v.BERG_TORZSSZAM, 
  v.BERG_NEV, 
  csoport, 
  a.IDOSZAK, 
  a.ellenszamla,
  getkisur(a.floppyfokonyv,'s',a.megnev) ,  
  getkisur(a.floppyfokonyv,'m',a.floppyfokonyv || ' ' || a.megnev) ,
  getkisur(a.floppyfokonyv,'f',a.megnev) ,
  getkisur(a.floppyfokonyv,'f',a.megnev) 

Having
  SUM(a.hovegi)<>0 
Order by
  a.gazd, 
  a.csoport, 
  getkisur(a.floppyfokonyv,'m',a.megnev) ,
  getkisur(a.floppyfokonyv,'f',a.megnev) ,
  getkisur(a.floppyfokonyv,'f',a.megnev), 
  a.ellenszamla 

) c
group by c.sorszam,
        -- c.csoport,
        -- c.floppyfokonyv,
         c.fokonyv,
         c.megnev
         
order by c.sorszam,
       --  c.csoport,
        -- c.floppyfokonyv,
         c.fokonyv,
         c.megnev 
                
