SELECT
  A.IDOSZAK                                       idoszak,
  Kiadnem                                         kiadnem,
  Datum.KULCS_besz(kulcsszam, idoszak, fogazonih) kulcskat,
  kulcsszam                                       kulcsszam,
  SUM(letszam)                                    letszam,  
  a.jogcim                                        jogcim,
  SUM(a.alapill)                                  alapill,
  SUM(a.illkieg)                                  illkieg,
  SUM(a.nyelv)                                    nyelv,
  SUM(a.ktelez_Ptl)                            ktelez_Ptl,
  SUM(a.feltt_Ptl)                              feltt_Ptl ,
  SUM(a.tizenhrom)                               tizenhrom,
  
  SUM(a.alapill) +
  SUM(a.illkieg) +
  SUM(a.nyelv) +
  SUM(a.ktelez_Ptl) +
  SUM(a.feltt_Ptl) +
  SUM(a.tizenhrom)                               sszesen,

  
  SUM(a.jutalom)                                  jutalom,
  SUM(a.Mun_kieg)                                 Mun_kieg,
  
  SUM(a.jutalom) +
  SUM(a.Mun_kieg)                                 sszesen2,
  
--  SUM(a.ossz)                                     ossz
FROM
(  
SELECT
  'pet ' eloado,
  v.djog_fogazonih fogazonih,
  v.resz_nev nev,
  a.berkifazon,
  k.berg_gazon gazd,
  a.idoszak,
  a.jogcim,
  DECODE(b.OSA5,'14',a.hovegi,0)+
  DECODE(INSTR('30029,30026,11200',a.JOGCIM),0,0,a.hovegi)                                        alapill,
--  DECODE(INSTR('30006,11043,30029,30026',a.JOGCIM),0,0,a.hovegi) alapill,  
  
  DECODE(b.OSA5,'15',a.hovegi,0)                                                                  Illkieg,
  DECODE(b.OSA5,'19',a.hovegi,0)                                                                    nyelv,
  DECODE(a.JOGCIM,'44328',a.hovegi,'45707',a.hovegi,'45466',a.hovegi,'45703',a.hovegi,0)          jutalom,
  DECODE(b.OSA5,'20',a.hovegi,'21',a.hovegi,'17',a.hovegi,'18',a.hovegi,'22',a.hovegi,0)      feltt_Ptl,
  DECODE(b.OSA5,'16',a.hovegi,a.hovegi,0)                                                   ktelez_Ptl,
  
  DECODE(INSTR('31801,41426,45606,45748,51001',a.JOGCIM),0,0,a.hovegi)                         tizenhrom,
 
 DECODE(b.OSA5,'23',a.hovegi,'24',a.hovegi,'25',a.hovegi,0)
 - DECODE(INSTR('53001,30026,30029',a.JOGCIM),0,0,a.hovegi) 
 + DECODE(INSTR('11040,11054,11329,30008,11042,32006',a.JOGCIM),0,0,a.hovegi)                    Mun_kieg,
 
 a.hovegi Ossz,
 
 NVL((SELECT kulcsszam   FROM jogtort  j  WHERE j.DJOG_FOGAZONIH = v.djog_FOGAZONIH AND 0 <> Datum.TOLIGI(j.kezd, j.kezd, a.idoszak)),v.djog_KULCSSZAM) kulcsszam,
 
-- NVL((SELECT k.KIADASNEM FROM kiadtort k WHERE k.DJOG_FOGAZONIH = v.djog_FOGAZONIH AND 0 <> Datum.TOLIGI(k.kezd, k.kezd, a.idoszak)),v.djog_kiadasnem) Kiadnem,
 v.djog_kiadasnem Kiadnem, 
 0 letszam
 
FROM 
  A_JOGCIM_OSSZ a,
  v_reszdjog_a v,
  (SELECT DISTINCT jogcim, osa5 FROM BERJOGC ) b,
  v_berkif_a k
  
WHERE 
  k.berk_berkifazon = a.berkifazon AND
  b.JOGCIM = a.JOGCIM AND
  v.DJOG_FOGAZONIH = a.fogazonih AND
  a.jogcim<>'00001' AND a.jogcim < '59999' --AND SUBSTR(v.djog_kulcsszam,1,3) IN ('114','118','124','128')
  AND ( (a.IDOSZAK BETWEEN '200610' AND '200610') )  AND A.ELOADO='pet'
  
) a  
GROUP BY A.IDOSZAK,a.jogcim, Datum.KULCS_besz(kulcsszam, idoszak, fogazonih), kulcsszam, Kiadnem

UNION
  
SELECT 
  '     '         idoszak,
  kiadasnem       Kiadnem,
  kulcskat,
  kulcsszam,
  SUM(ROUND(letszam,1))   letszam,
  '     '        jogcim, 
  0              alapill,
  0              illkieg,
  0              nyelv,
  0              ktelez_Ptl,
  0              feltt_Ptl ,
  0              tizenhrom,
  0              sszesen,
  0              jutalom,
  0              Mun_kieg,
  0              sszesen2,
  0              mindsszesen
FROM
(
SELECT
  s.kulcsszam              kulcsszam,
  v.DJOG_KIADASNEM         kiadasnem,
  Datum.KULCS_besz(s.kulcsszam, '200610', v.djog_fogazonih) kulcskat
  ,(Datum.ATLALLLETSZAM( v.DJOG_FOGAZONIH, '511', Datum.CTOD( '20061001'), Datum.CTOD('20061031'),  v.djog_jelenlegi, V.DJOG_MEGSZUNES, '1' )) Letszam

FROM
  (SELECT DISTINCT fogazonih FROM A_JOGCIM_OSSZ j WHERE j.idoszak='200610' AND eloado='pet') j,
  v_reszdjog_a v,
  SOROLFEJ s,
  v_berkif_a a
WHERE
  j.fogazonih = v.DJOG_FOGAZONIH AND
  a.BERK_BERKIFAZON = S.BERK_BERKIFAZON AND
  s.DJOG_FOGAZONIH  = v.DJOG_FOGAZONIH AND
  (S.FJELZO <> 10 OR v.DJOG_JOGTIPKOD = '26')
 AND a.BERG_GAZON = '1' 
 AND S.SORSZAM = ( SELECT MAX(SF.SORSZAM) FROM SOROLFEJ SF WHERE SF.DJOG_FOGAZONIH = S.DJOG_FOGAZONIH AND (sf.fjelzo <> 10 OR v.DJOG_JOGTIPKOD = '26')
 AND ( (Datum.DtoCK(SF.KEZD) <= '20061099' AND '20061000'<= Datum.DtoC(SF.VEGE)) )
 GROUP BY SF.DJOG_FOGAZONIH )
 AND ( (Datum.DtoCK(v.DJOG_JELENLEGI) <= '20061099' AND '20061000'<= Datum.DtoC(v.DJOG_MEGSZUNES)) )
-- GROUP BY v.DJOG_KIADASNEM, Datum.KULCS_besz(s.kulcsszam, '200610', v.djog_fogazonih),s.kulcsszam 
)
GROUP BY kulcskat,kiadasnem,kulcsszam
ORDER BY kulcskat,Kiadnem,kulcsszam,jogcim
