SELECT
  :ELOADO                                     ELOADO,
  V.VBERK_BERG_GAZON	       GAZON,
  V.VBERK_SZEE_UGYI_KOD      ugyikod,
  v.VBERK_SZEE_AZONOSITO    szeazon,
  initcap(V.RESZ_ELONEV)||initcap(V.RESZ_NEV) nev,
  v.RESZ_ADOSZAM                     adoszam,
  v.resz_tajszam tajszam,
  TO_CHAR(v.RESZ_SZULDATUM,'yyyymmdd')	       Szuldatum,
  TO_CHAR(v.djog_jelenlegi,'yyyymmdd') jelenlegi,
  DECODE(TO_CHAR(NVL(v.djog_hilejar,TO_DATE('39991231','yyyymmdd')),'yyyymmdd'),'39991231','        ',TO_CHAR(V.DJOG_HILEJAR,'YYYYMMDD')) hilejar,
  DECODE(TO_CHAR(NVL(v.djog_megszunes,TO_DATE('39991231','yyyymmdd')),'yyyymmdd'),'39991231','        ',TO_CHAR(V.DJOG_MEGSZUNES,'YYYYMMDD')) megszunes,
  TO_CHAR(s.KEZD,'yyyymmdd') kezd,
  (SELECT NVL(SUM(s1.ERTEKU),0) FROM SOROL S1 WHERE S1.SORF_DJOG_FOGAZONIH = S.DJOG_FOGAZONIH  AND
                                           s1.BERK_BERKIFAZON = s.BERK_BERKIFAZON AND
		           s1.SORF_SORSZAM   = s.SORSZAM AND
                                           s1.JOGCIM IN ('11001','11104','11229','11246','11326','11294') )  Alapill,
  (SELECT NVL(SUM(s1.ERTEKU),0) FROM SOROL S1 WHERE S1.SORF_DJOG_FOGAZONIH = S.DJOG_FOGAZONIH  AND
                                           s1.BERK_BERKIFAZON = s.BERK_BERKIFAZON AND
                                           s1.SORF_SORSZAM   = s.SORSZAM AND
                                           s1.JOGCIM = '11105' )  Rendf,
  (SELECT NVL(SUM(s1.ERTEKU),0) FROM SOROL S1 WHERE S1.SORF_DJOG_FOGAZONIH = S.DJOG_FOGAZONIH  AND
                                           s1.BERK_BERKIFAZON = s.BERK_BERKIFAZON AND
                                           s1.SORF_SORSZAM   = s.SORSZAM AND
                                           s1.JOGCIM IN ('11018','11020','11303') )  Illkieg,
  (SELECT NVL(SUM(s1.ERTEKU),0) FROM SOROL S1 WHERE S1.SORF_DJOG_FOGAZONIH = S.DJOG_FOGAZONIH  AND
                                           s1.BERK_BERKIFAZON = s.BERK_BERKIFAZON AND
                                           s1.SORF_SORSZAM   = s.SORSZAM AND
                                           s1.JOGCIM NOT IN ('11001','11104','11229','11246','11326','11225','11294','11105','11018','11020','11303') AND
                                           s1.SORF_FJELZO <> 10 )  potlek,
  (SELECT NVL(SUM(s1.ERTEKU),0) FROM SOROL S1 WHERE S1.SORF_DJOG_FOGAZONIH = S.DJOG_FOGAZONIH  AND
                                           s1.BERK_BERKIFAZON = s.BERK_BERKIFAZON AND
                                           s1.SORF_SORSZAM   = s.SORSZAM AND
                                           s1.SORF_FJELZO <> 10 )  osszesen,
  v.VBERK_BERG_NEV	        Gazdnev,
  v.VBERK_SZEE_NEVE	        SZERV
FROM 
  v_reszdjog_f v,
  SOROLFEJ s 
WHERE 
  s.DJOG_FOGAZONIH=v.DJOG_FOGAZONIH AND
  S.FJELZO <> 10 
