SELECT 
  TO_CHAR(jt.KEZD,'yyyy.mm.dd.') kezd,
  jt.JOGTIPKOD jogtipkod,
  (SELECT RV_MEANING FROM CG_REF_CODES WHERE RV_DOMAIN = '89' AND RV_LOW_VALUE=jt.JOGTIPKOD) jogtipnev,
  jt.KULCSSZAM kulcsszam,
  kt.KIADASNEM kiadasnem,
  kt.FOGJELLEG fogjelleg,
  (SELECT kf.MEGNEVEZES FROM KIADFOG kf WHERE kf.KIADASNEM=kt.KIADASNEM AND kf.FOGJELLEG=kt.FOGJELLEG) kiadfogjev,
  kt.TOHOSSZ torv_mi,
  kt.TEHOSSZ teny_mi,
  kt.FEOR feor,
  INITCAP(kt.MUNKAKOR) munkakor
FROM 
  JOGTORT jt,
  KIADTORT kt,
  v_reszdjog_f v
WHERE 
  v.DJOG_FOGAZONIH=jt.DJOG_FOGAZONIH(+) AND
  v.DJOG_FOGAZONIH=kt.DJOG_FOGAZONIH(+) AND
  v.DJOG_FOGAZONIH=:fogazonih AND
  TO_CHAR(jt.KEZD,'yyyy.mm.dd.')=:kezd
order by 1 desc,2