declare

v_tomb    number;
    v_marad   number;
    v_ezer    number;
    v_hatszaz number;
    v_otszaz  number;
    v_haromszaz number;
    v_ketszaz number;
    v_szaz    number;
    v_hiba    number;
    
 cursor etkez( v_idoszak varchar2, v_jogcim varchar2 ) is
  select osszeg, fogazonih from kafet_atvetel where idoszak = v_idoszak and jogcim = v_jogcim for update;
  
procedure Cimlet(p_osszeg number) IS
    v_marad1 number;
  begin

    v_tomb    :=0;
    v_marad   :=0;
    v_ezer    :=0;
    v_ketszaz :=0;
    v_szaz    :=0;
    v_hatszaz :=0;
    v_otszaz  :=0;
    v_hiba    :=0;
    v_haromszaz := 0;

    select trunc(p_osszeg/6000), mod(p_osszeg,6000) into v_tomb, v_marad from dual;

    if v_marad >= 500 then
      if mod(v_marad,500) < 500 then
        select trunc(v_marad/500), mod(v_marad,500) into v_otszaz, v_marad from dual;
      end if;
    end if;
    if v_marad >= 200 then
      select trunc(v_marad/200), mod(v_marad,200) into v_ketszaz, v_marad from dual;
    end if;
    if v_marad >= 100 then
      select trunc(v_marad/100), mod(v_marad,100) into v_szaz, v_hiba from dual;
    end if;
    v_hiba := mod(v_marad,100);
    

  end cimlet;  
  
BEgin
 for rec in etkez('201114', '45593') loop
      cimlet( rec.osszeg );
      update kafet_atvetel set hatezer = v_tomb, ezer = v_ezer, hatszaz = v_hatszaz, otszaz = v_otszaz, haromszaz = v_haromszaz, ketszaz = v_ketszaz, szaz = v_szaz, hiba = v_hiba where  CURRENT OF etkez;
    end loop;
    
End;