select
floppyfokonyv,
megnev,
sum(a200912) december, 
sum(a201001) janur,
sum(a201002) februr,
sum(Mindsszesen) sszesen
from
(
Select
 getkisur(a.fokonyv,'m',a.megnev) megnev,
 a.csoport,
 getkisur(a.fokonyv,'f',a.megnev) fokonyv,
 getkisur(a.floppyfokonyv,'f',a.megnev) floppyfokonyv,
 DECODE(a.IDOSZAK,'200912',SUM(a.HOVEGI),0)  a200912,
 DECODE(a.IDOSZAK,'201001',SUM(a.HOVEGI),0)  a201001,
 DECODE(a.IDOSZAK,'201002',SUM(a.HOVEGI),0)  a201002,
 SUM(a.hovegi) Mindsszesen

From
  OSSZESITO a,
  v_berkif_a v 
  ,fokonyv kh       
Where
  v.BERK_BERKIFAZON = a.BERKIFAZON    AND 
  a.FOKONYV        <> '000001'      AND 
  kh.berg_gazon     =  a.gazd         AND 
  kh.fokonyv        =  v.BERK_FOKONYV     
 and kh.berg_gazon     = 1
 AND (   A.IDOSZAK BETWEEN '200912' and '201002' )   
 AND (  ( A.GAZD = '1' ) ) 
Group by
  a.gazd, 
  v.BERG_TORZSSZAM, 
  v.BERG_NEV, 
  csoport, 
  a.IDOSZAK, 
  a.ellenszamla, 
  getkisur(a.fokonyv,'m',a.megnev) ,
  getkisur(a.fokonyv,'f',a.megnev) ,
  getkisur(a.floppyfokonyv,'f',a.megnev) 

Having
  SUM(a.hovegi)<>0 
Order by
  a.gazd, 
  a.csoport, 
  getkisur(a.fokonyv,'m',a.megnev) ,
  getkisur(a.fokonyv,'f',a.megnev) ,
  getkisur(a.floppyfokonyv,'f',a.megnev), 
  a.ellenszamla 

) c
group by 
         c.csoport,
         c.floppyfokonyv,
         c.fokonyv,
         c.megnev
         
order by 
         c.csoport,
         c.floppyfokonyv,
         c.fokonyv,
         c.megnev        
