SELECT
   gazd,
   idoszak,
   (SELECT e.nev FROM A_ENG_BER e WHERE e.igazgatosag = gazd) gazdnev,
   jogcim,
   Bevallas.MEGNEV(jg.jogcim, ' ', jg.idoszak, jg.eloado) megnev,
   csoport,
   EAKONYV,
   hokozi,
   hovegi,
   egyenleg,
   osszesen
FROM 
  (SELECT
     j.eloado,
     SUBSTR(v.szee_azonosito,1,1) gazd,
     j.idoszak idoszak,
     j.JOGCIM, j.jcsop csoport,
     SUM(DECODE(j.jegyzek,'5',j.hovegi,0)) EAKONYV,
     SUM(DECODE(j.jegyzek,'4',j.hovegi,hokozi)) hokozi,
     SUM(DECODE(j.jegyzek,'4',0,'5',0,j.hovegi)) *DECODE(SUBSTR(j.jogcim,1,2),'12',-1,'14',-1,1)  hovegi,
     SUM(j.hovegi )* A_Elojel(j.jogcim)*DECODE(SUBSTR(j.jogcim,1,2),'12',-1,'14',-1,1) egyenleg,
     SUM(j.hovegi ) *DECODE(SUBSTR(j.jogcim,1,2),'12',-1,'14',-1,1) osszesen
   FROM 
     A_JOGCIM_OSSZ j,
	 v_berkif_a v
   WHERE
     (v.BERK_BERKIFAZON = j.BERKIFAZON) AND
     j.ELOADO=:ELOADO AND
     jogcim NOT LIKE '0%' and
     (jegyzek <> 7 or jegyzek is null)
   GROUP BY j.eloado, SUBSTR(v.szee_azonosito,1,1), j.idoszak, j.JOGCIM,j.jcsop) jg
   
ORDER BY gazd,idoszak,DECODE(SUBSTR(csoport,1,1),'H','9','9','8','0'),SUBSTR(csoport,2,1),JOGCIM