SELECT 
  TO_CHAR(s.KEZD,'yyyy.mm.dd.') kezd,
  (SELECT NVL(SUM(s1.ERTEKU),0) FROM SOROL S1 WHERE S1.SORF_DJOG_FOGAZONIH = S.DJOG_FOGAZONIH  AND
                                           s1.BERK_BERKIFAZON = s.BERK_BERKIFAZON AND
		           s1.SORF_SORSZAM   = s.SORSZAM AND
                                           s1.JOGCIM IN ('11001','11104','11229','11246','11326','11294','11225') )  Alapill,
  (SELECT NVL(SUM(s1.ERTEKU),0) FROM SOROL S1 WHERE S1.SORF_DJOG_FOGAZONIH = S.DJOG_FOGAZONIH  AND
                                           s1.BERK_BERKIFAZON = s.BERK_BERKIFAZON AND
                                           s1.SORF_SORSZAM   = s.SORSZAM AND
                                           s1.JOGCIM = '11105' )  Rendf,
  (SELECT NVL(SUM(s1.ERTEKU),0) FROM SOROL S1 WHERE S1.SORF_DJOG_FOGAZONIH = S.DJOG_FOGAZONIH  AND
                                           s1.BERK_BERKIFAZON = s.BERK_BERKIFAZON AND
                                           s1.SORF_SORSZAM   = s.SORSZAM AND
                                           s1.JOGCIM IN ('11018','11020','11303') )  Illkieg,
  (SELECT NVL(SUM(s1.ERTEKU),0) FROM SOROL S1 WHERE S1.SORF_DJOG_FOGAZONIH = S.DJOG_FOGAZONIH  AND
                                           s1.BERK_BERKIFAZON = s.BERK_BERKIFAZON AND
                                           s1.SORF_SORSZAM   = s.SORSZAM AND
                                           s1.JOGCIM NOT IN ('11001','11104','11229','11246','11326','11225','11294','11105','11018','11020','11303') AND
                                           s1.SORF_FJELZO <> 10 )  potlek,
  (SELECT NVL(SUM(s1.ERTEKU),0) FROM SOROL S1 WHERE S1.SORF_DJOG_FOGAZONIH = S.DJOG_FOGAZONIH  AND
                                           s1.BERK_BERKIFAZON = s.BERK_BERKIFAZON AND
                                           s1.SORF_SORSZAM   = s.SORSZAM AND
                                           s1.SORF_FJELZO <> 10 )  osszesen,
  jt.JOGTIPKOD jogtipkod,
  (SELECT RV_MEANING FROM CG_REF_CODES WHERE RV_DOMAIN = '89' AND RV_LOW_VALUE=jt.JOGTIPKOD) jogtipnev,
  jt.KULCSSZAM kulcsszam,
  kt.KIADASNEM kiadasnem,
  kt.FOGJELLEG fogjelleg,
  (SELECT kf.MEGNEVEZES FROM KIADFOG kf WHERE kf.KIADASNEM=kt.KIADASNEM AND kf.FOGJELLEG=kt.FOGJELLEG) kiadnev,
  kt.TOHOSSZ torv_mi,
  kt.TEHOSSZ teny_mi,
  kt.FEOR feor,
  INITCAP(kt.MUNKAKOR) munkakor
FROM 
  JOGTORT jt,
  KIADTORT kt,
  SOROLFEJ s,
  v_reszdjog_a v
WHERE 
  v.DJOG_FOGAZONIH=jt.DJOG_FOGAZONIH(+) AND
  v.DJOG_FOGAZONIH=kt.DJOG_FOGAZONIH(+) AND
  v.DJOG_FOGAZONIH=s.DJOG_FOGAZONIH(+) AND
  jt.KEZD=(SELECT MAX(jt1.kezd) FROM JOGTORT jt1 WHERE jt1.kezd<=s.kezd AND jt1.DJOG_FOGAZONIH=v.DJOG_FOGAZONIH) AND
  v.DJOG_FOGAZONIH=:fogazonih AND
  S.FJELZO <> 10
order by 1 desc,2